<?php
require_once("include/bittorrent.php");
dbconn(true);

if ($_SERVER["REQUEST_METHOD"] == "POST") {
  $choice = (int) $_POST["choice"];  
  if ($CURUSER && $choice >= 0 && $choice < 256) {
    $res = sql_query("SELECT * FROM polls ORDER BY added DESC LIMIT 1") or sqlerr(__FILE__, __LINE__);
    $arr = mysql_fetch_assoc($res) or die("Нет опроса");
    $pollid = $arr["id"];
    $userid = $CURUSER["id"];
    $res = sql_query("SELECT * FROM pollanswers WHERE pollid=$pollid && userid=$userid") or sqlerr(__FILE__, __LINE__);
    $arr = mysql_fetch_assoc($res);
    if ($arr) die("Двойной голос");
    sql_query("INSERT INTO pollanswers VALUES(0, $pollid, $userid, $choice)") or sqlerr(__FILE__, __LINE__);
    if (mysql_affected_rows() != 1)
      stderr($tracker_lang['error'], "Произошла ошибка. Ваш голос не был принят.");
    header("Location: $DEFAULTBASEURL/");
    die;
  } else
    stderr($tracker_lang['error'], "Пожалуйста, выберите вариант ответа.");
}

stdhead($tracker_lang['homepage']);

//print("<table width=\"100%\" class=\"main\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"embedded\">");

?>

<p align="justify"><font class="small" style="font-weight: normal;">Внимание: файлы для обмена предоставлены пользователями сайта. Администрация не несёт ответственности за их содержание. Все представленные материалы, ссылки на которые размещены на сайте, являются собственностью их авторов и охраняются Законом РФ "Об авторском праве и смежных правах". Если вы являетесь правообладателем произведения, проиндексированного нашей поисковой машиной, и не желаете, чтобы ссылка на него находилась на нашем сайте, свяжитесь с нами, и мы незамедлительно удалим её. Просьба не заливать файлы, защищенные авторскими правами, а также файлы нелегального содержания! <b>Наш хостинг <a target="_blank" href="http://clodo.ru/r12451">Clodo.ru</a></b></font></p>

<!--</td></tr></table>-->

<?php
stdfoot();
?>